Subject: Ticket Assigned - NEED ESCALATION
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 14 Feb 2021 10:08:15 +0000 (UTC)

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  NEED ESCALATION Bubbling Wayfarer                    I want to know the status of returning this order 2000837822           01:48 PM, 14th Feb                     Bubbling Wayfarer                    there has been a problem with picking up this order and it has been delayed due to an error in the courier system           01:49 PM, 14th Feb                     Bubbling Wayfarer                    and now it is supposed to have reached max           01:49 PM, 14th Feb                     Bubbling Wayfarer                    I would like to know the current status as the process is taking too long and the experience with return is very disappointing           01:50 PM, 14th Feb                     Bubbling Wayfarer                    This is the order number 2000837822           01:51 PM, 14th Feb                   Sohaib                   Hello...My Name Is Sohaib ..I'll be more than happy to help you..           01:52 PM, 14th Feb                     Bubbling Wayfarer                    I want to know the status of returning this order 2000837822           01:52 PM, 14th Feb                     Bubbling Wayfarer                    there has been a problem with picking up this order and it has been delayed due to an error in the courier system  and now it is supposed to have reached max  I would like to know the current status as the process is taking too long and the experience is very disappointing           01:53 PM, 14th Feb                   Sohaib                   Please hold for a moment while I gather those details for you.           01:54 PM, 14th Feb                   Sohaib                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             01:57 PM, 14th Feb                     Bubbling Wayfarer                    The same message was sent before and no response           01:57 PM, 14th Feb                     Bubbling Wayfarer                    this is the fourth complaint           01:58 PM, 14th Feb                     Bubbling Wayfarer                    Send me a contact number as this is not helpful at all           01:59 PM, 14th Feb                   Sohaib                   we truly sorry we will do our the best to refunded your amount AS FAST AS  POSSIBLE           01:59 PM, 14th Feb                   Sohaib                   Is there anything else I can help you with?           01:59 PM, 14th Feb                     Bubbling Wayfarer                    i need another way  of contact           02:00 PM, 14th Feb                     Bubbling Wayfarer                    i have repeatedly received the same response with no use           02:00 PM, 14th Feb                   Sohaib                   We apologise for the inconvenience caused to you.           02:04 PM, 14th Feb                   Sohaib                   we can understand your disappointment here.           02:04 PM, 14th Feb                   Sohaib                   We would like to inform you that the collection of your item has been done and it's reached warehouse. Once it will go through the quality check your refund will be initiated to the My Credit section.           02:04 PM, 14th Feb                     Bubbling Wayfarer                    Hopefully           02:04 PM, 14th Feb                     Bubbling Wayfarer                    you don’t have a quick complaint number           02:05 PM, 14th Feb                   Sohaib                   Here's how long it will take:  1. 3 -5 business days to receive your returned items.  2. 2 business days to perform a quality check and issue a refund.  3. Your bank or card issuer may take an additional 2-15 business days to process the transaction.           02:05 PM, 14th Feb                   Sohaib                   please be rest assured we are going to raise it to the concerned team to expedite the return and refund process.           02:05 PM, 14th Feb                     Bubbling Wayfarer                    ?3-5 days           02:06 PM, 14th Feb                     Bubbling Wayfarer                    it has taken one month for the first step!!!!           02:06 PM, 14th Feb                   Sohaib                   please be rest assured we will email you on your registered email id.           02:06 PM, 14th Feb                   Sohaib                   along with the complaint.           02:06 PM, 14th Feb                     Bubbling Wayfarer                    Ok           02:07 PM, 14th Feb                   Sohaib                   we will try our best to get it resolved at the earliest.           02:07 PM, 14th Feb                   Sohaib                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           02:07 PM, 14th Feb                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2098581